
# DO NOT EDIT THIS FILE -- AUTOGENERATED BY PANTS
# Target: src/ai/backend/install:dist

from setuptools import setup

setup(**{
    'author': 'Lablup Inc. and contributors',
    'classifiers': [
        'Intended Audience :: Developers',
        'Operating System :: MacOS :: MacOS X',
        'Operating System :: POSIX :: Linux',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Environment :: No Input/Output (Daemon)',
        'Topic :: Scientific/Engineering',
        'Topic :: Software Development',
        'Development Status :: 4 - Beta',
        'Programming Language :: Python :: 3.12',
        'License :: OSI Approved :: MIT License',
    ],
    'description': 'Backend.AI Installer',
    'entry_points': {
        'backendai_cli_v10': [
            'install = ai.backend.install.cli:main',
        ],
    },
    'install_requires': (
        'aiofiles~=24.1.0',
        'aiohttp~=3.10.8',
        'aiotools~=1.8.2',
        'asyncpg>=0.29.0',
        'backend.ai-common==25.6.0rc3',
        'backend.ai-logging==25.6.0rc3',
        'backend.ai-plugin==25.6.0rc3',
        'click~=8.1.7',
        'pydantic[email]~=2.9.2',
        'python-dateutil>=2.9',
        'rich~=13.6',
        'textual~=0.79.1',
        'tomlkit~=0.13.2',
        'types-aiofiles',
        'types-python-dateutil',
    ),
    'license': 'MIT',
    'long_description': """Backend.AI Installer
====================

Package Structure
-----------------

* `ai.backend.install`: The installer package

Development
-----------

### Using the textual debug mode

First, install the textual-dev package in the `python-default` venv.
```shell
./py -m pip install textual-dev
```

Open two terminal sessions.
In the first one, run:
```shell
dist/export/python/virtualenvs/python-default/3.12.8/bin/textual console
```

> **Warning**
> You should use the `textual` executable created *inside the venv's `bin` directory*.
> `./py -m textual` only shows the demo instead of executing the devtool command.

In the second one, run:
```shell
TEXTUAL=devtools,debug ./backend.ai install
```
""",
    'long_description_content_type': 'text/markdown',
    'name': 'backend.ai-install',
    'namespace_packages': (
    ),
    'package_data': {
        'ai.backend.install': (
            'VERSION',
            'app.tcss',
            'py.typed',
        ),
        'ai.backend.install.configs': (
            'agent.toml',
            'alembic.ini',
            'docker-compose.yml',
            'grafana-dashboards/dashboard.json',
            'grafana-provisioning/dashboards/dashboards.yaml',
            'grafana-provisioning/datasources/datasources.yaml',
            'manager.toml',
            'prometheus.yaml',
            'storage-proxy.toml',
            'webserver.conf',
            'wsproxy.toml',
        ),
        'ai.backend.install.fixtures': (
            'example-container-registries-dockerhub.json',
            'example-container-registries-harbor.json',
            'example-keypairs.json',
            'example-resource-presets.json',
            'example-session-templates.json',
            'example-set-user-main-access-keys.json',
            'example-users.json',
        ),
    },
    'packages': (
        'ai.backend.install',
        'ai.backend.install.configs',
        'ai.backend.install.fixtures',
    ),
    'project_urls': {
        'Documentation': 'https://docs.backend.ai/',
        'Source': 'https://github.com/lablup/backend.ai',
    },
    'python_requires': '>=3.12,<3.13',
    'url': 'https://github.com/lablup/backend.ai',
    'version': '25.6.0rc3',
    'zip_safe': False,
})
